## Dependencies

BitBudget depends only on the following libraries:

	QtCore
	QtGui
	QtDbus
	dbusmenu-qt
	QtWidgets (if using with Qt5)

## Build Dependencies

In order to build from source, you need the Qt development libraries and tools installed.
You will also need the development libraries for dbusmenu-qt.
BitBudget can be built with Qt4 or Qt5.

## Building from source

To build, you need to build each of the .pro files. Each .pro file creates a binary:

    qmake BitBudget.pro
    make
    qmake bitbudget-daemon.pro
    make

## Installing

To install to /opt, run:

    sudo mkdir -p /opt/BitBudget
    sudo cp BitBudget bitbudget-daemon /opt/BitBudget/
    sudo cp bitbudget.desktop /usr/share/applications/
    sudo cp data/bitbudget.svg /usr/share/pixmaps/

