#ifndef CONFIG_H
#define CONFIG_H

#include <QtCore>
#include "networkmonitor.h"

namespace BitBudget {
namespace Config {

    class ConfigFile {
    public:
        bool binary;
        int month_rotate;
        ulong download_quota;
        ulong upload_quota;
        ulong total_quota;
        QList<QByteArray> ifaces;
        bool indicator;
        bool notifications;
        ConfigFile();
        void load();
        void save();
        QByteArray format_bytes(ulong bytes);
    };

}
}

#endif // CONFIG_H
