QT += core gui dbus
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = BitBudget
TEMPLATE = app

SOURCES += src/main.cpp
SOURCES += src/mainwindow.cpp
SOURCES += src/common.cpp
SOURCES += src/config.cpp
SOURCES += src/database.cpp
SOURCES += src/networkmonitor.cpp
SOURCES += src/aboutdialog.cpp

INCLUDEPATH += include

HEADERS += include/mainwindow.h
HEADERS += include/common.h
HEADERS += include/config.h
HEADERS += include/database.h
HEADERS += include/networkmonitor.h
HEADERS += include/aboutdialog.h

FORMS += forms/mainwindow.ui
FORMS += forms/aboutdialog.ui

RESOURCES += data/icons.qrc
RESOURCES += data/html.qrc

#import the dbusmenu-qt library for quicklists
greaterThan(QT_MAJOR_VERSION, 4) {
    INCLUDEPATH += /usr/include/dbusmenu-qt5/
    LIBS += -ldbusmenu-qt5
} else {
    INCLUDEPATH += /usr/include/dbusmenu-qt/
    LIBS += -ldbusmenu-qt
}
